<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net6.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>

        <IsPackable>false</IsPackable>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Microsoft.NET.Test.Sdk" Version="17.8.0" />
        <PackageReference Include="ScottBrady91.AspNetCore.Identity.Argon2PasswordHasher" Version="1.4.0" />
        <PackageReference Include="xunit" Version="2.6.2" />
        <PackageReference Include="xunit.runner.visualstudio" Version="2.5.4">
            <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
            <PrivateAssets>all</PrivateAssets>
        </PackageReference>
        <PackageReference Include="coverlet.collector" Version="6.0.0">
            <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
            <PrivateAssets>all</PrivateAssets>
        </PackageReference>
    </ItemGroup>

     <ItemGroup>
        <None Remove="appsettings.json" />
        <Content Include="appsettings.json">
          <CopyToOutputDirectory>Always</CopyToOutputDirectory>
        </Content>
        <None Remove="appsettings.appveyor.json" />
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\..\src\Infrastructure\Infrastructure.csproj" />
      <ProjectReference Include="..\..\src\Persistence\Persistence.csproj" />
    </ItemGroup>

</Project>
